Bug 1568252 - [DOCS] Change of the configuration path from /etc/vsphere/vsphere.conf to /etc/origin/cloudprovider/vsphere.conf
Summary: [DOCS] Change of the configuration path from /etc/vsphere/vsphere.conf to /et...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Gaurav Nelson
QA Contact: Jianwei Hou
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 04:04 UTC by Fatima
Modified: 2018-05-09 00:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 23:59:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3414441 None None None 2018-05-03 05:25:27 UTC

Description Fatima 2018-04-17 04:04:08 UTC
Document URL: 

https://docs.openshift.com/container-platform/3.6/install_config/configuring_vsphere.html#vsphere-configuration-file

Section Number and Name: 

vsphere-configuration-file

Describe the issue: 

When the 3.6 cluster was setup on vsphere the conf file was "/etc/vsphere/vsphere.conf". After upgrading it to 3.9 (via 3.7) it gave errors.

The file path was changed to "/etc/origin/cloudprovider/vsphere.conf" and need to be added in the config files(master/node) also after the upgrade.

The change of path is not mentioned anywhere in the docs.

Suggestions for improvement: 

It would be great if these changes were mentioned in our docs, it will improve the quality.

Additional information: 

The changes are mentioned in the following git hub link:

https://github.com/openshift/openshift-docs/commit/b7d39663d15eb10f8f47f9ce39002ecf7d8e6974

Comment 3 Gaurav Nelson 2018-04-19 02:37:54 UTC
Thank you Fatima for reporting this and adding notes. 
I have created two PR's for addressing this:

https://github.com/openshift/openshift-docs/pull/8800 - 
> this only applies to the enterprise3.6 branch and undoes the changes made by the commit specified in the request(https://github.com/openshift/openshift-docs/commit/b7d39663d15eb10f8f47f9ce39002ecf7d8e6974).

and 

https://github.com/openshift/openshift-docs/pull/8801 - 
> This applies to branches 3.6 and up so that the added note shows up in version 3.6, 3.7, 3.9 and up.

Comment 6 Gaurav Nelson 2018-04-23 12:53:30 UTC
Thanks Fatima.

Comment 7 Gaurav Nelson 2018-04-23 12:54:45 UTC
Putting this up for QE review.

Comment 9 Gaurav Nelson 2018-05-02 01:10:46 UTC
Thank you Jianwei Hou for reviewing this.

If you are approving both 
https://github.com/openshift/openshift-docs/pull/8800 and 
https://github.com/openshift/openshift-docs/pull/8801

Can you please update the status as verified?

Comment 10 Gaurav Nelson 2018-05-02 04:31:03 UTC
Thank you Jianwei Hou for approving these changes.

I have separated the second PR, into two PRs because that note only needs to go into 3.7 branch and not 3.9 and 3.10. I will be merging this soon.

Comment 11 openshift-github-bot 2018-05-02 04:33:07 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/d4ecc28acfb7a9447f175404515af3990afa7353
Merge pull request #8801 from gaurav-nelson/bug1568252-fixes

fixed formatting issue


Note You need to log in before you can comment on or make changes to this bug.